
var idm_mz_cc = Components.classes["@idm/mozilla_cc"].getService();
idm_mz_cc = idm_mz_cc.QueryInterface(Components.interfaces.iIDMMzCC2);

window.addEventListener("load", function() { IDMMenuItems.init(); }, false);

var IDMMenuItems = {
	init: function() 
	{
		var menu = document.getElementById("contentAreaContextMenu");
		menu.addEventListener("popupshowing", this.contextPopupShowing, false);
	},

	contextPopupShowing: function()  
	{
		var wrk = Components.classes["@mozilla.org/windows-registry-key;1"]
						.createInstance(Components.interfaces.nsIWindowsRegKey);
		if (wrk)
		{
			wrk.open(wrk.ROOT_KEY_CURRENT_USER, "Software\\DownloadManager\\menuExt", wrk.ACCESS_READ);

			var bVsblt1 = 1;
			if (wrk.hasValue("ffdownl1_v"))
				bVsblt1 = wrk.readIntValue("ffdownl1_v");
			var bVsbltAll = 1;
			if (wrk.hasValue("ffdownlAll_v"))
				bVsbltAll = wrk.readIntValue("ffdownlAll_v");
			var bVsbltFLV1 = 1;
			if (wrk.hasValue("ffdownlFLV_v"))
				bVsbltFLV1 = wrk.readIntValue("ffdownlFLV_v");
			var bVsbltFLV10 = 1;
			if (wrk.hasValue("ffdownl10FLV_v"))
				bVsbltFLV10 = wrk.readIntValue("ffdownl10FLV_v");

			var menuitem1 = document.getElementById("idmmzcc-dwnl1");
			if(menuitem1)
			{
				menuitem1.hidden = (bVsblt1 == 2) ? true : false;
				if (wrk.hasValue("ffdownl1_str"))
				{
					var szTranslatedStr1 = wrk.readStringValue("ffdownl1_str");
					if (szTranslatedStr1.length > 5)
						menuitem1.label = szTranslatedStr1;
				}
			}

			var menuitemAll = document.getElementById("idmmzcc-dwnlall");
			if(menuitemAll)
			{
				menuitemAll.hidden = (bVsbltAll == 2) ? true : false;
				if (wrk.hasValue("ffdownlAll_str"))
				{
					var szTranslatedStrAll = wrk.readStringValue("ffdownlAll_str");
					if (szTranslatedStrAll.length > 5)
						menuitemAll.label = szTranslatedStrAll;
				}
			}

			var menuitemFLV_a = document.getElementById("idmmzcc-flv-dwnl_a");
			if (menuitemFLV_a)
				menuitemFLV_a.hidden = true;
			var menuitemFLV10_a = document.getElementById("idmmzcc-flv-dwnl10_a");
			if (menuitemFLV10_a)
				menuitemFLV10_a.hidden = true;
			var popupFLV = document.getElementById("idmmzcc-flv");
			if (popupFLV)
			{
				if ((bVsbltFLV1 == 2) || (bVsbltFLV10 == 2))
				{
					popupFLV.hidden = true;
					if ((menuitemFLV_a) && (bVsbltFLV1 != 2))
					{
						menuitemFLV_a.hidden = false;
						if (wrk.hasValue("ffdownlFLVa_str"))
						{
							var szTranslatedFLVa = wrk.readStringValue("ffdownlFLVa_str");
							if (szTranslatedFLVa.length > 5)
								menuitemFLV_a.label = szTranslatedFLVa;
						}
					}
					if ((menuitemFLV10_a) && (bVsbltFLV10 != 2))
					{
						menuitemFLV10_a.hidden = false;
						if (wrk.hasValue("ffdownl10FLVa_str"))
						{
							var szTranslated10FLVa = wrk.readStringValue("ffdownl10FLVa_str");
							if (szTranslated10FLVa.length > 5)
								menuitemFLV10_a.label = szTranslated10FLVa;
						}
					}
				}
				else 
					popupFLV.hidden = false;
				if (wrk.hasValue("ffdownlppFLV_str"))
				{
					var szTranslatedPopupFLV = wrk.readStringValue("ffdownlppFLV_str");
					if (szTranslatedPopupFLV.length > 5)
					{
						popupFLV.label = szTranslatedPopupFLV;
						popupFLV.setAttribute("label", szTranslatedPopupFLV);
					}
				}
			}
			if (wrk.hasValue("ffdownlFLV_str"))
			{
				var szTranslatedStrFLV = wrk.readStringValue("ffdownlFLV_str");
				if (szTranslatedStrFLV.length > 5)
				{
					var menuitemFLV = document.getElementById("idmmzcc-flv-dwnl");
					if (menuitemFLV)
						menuitemFLV.label = szTranslatedStrFLV;
				}
			}
			if (wrk.hasValue("ffdownl10FLV_str"))
			{
				var szTranslatedStr10FLV = wrk.readStringValue("ffdownl10FLV_str");
				if (szTranslatedStr10FLV.length > 5)
				{
					var menuitemFLV10 = document.getElementById("idmmzcc-flv-dwnl10");
					if (menuitemFLV10)
						menuitemFLV10.label = szTranslatedStr10FLV;
				}
			}

			wrk.close();

			var idmmzcc_sep = document.getElementById("idmmzcc-sep");
			if (idmmzcc_sep)
				idmmzcc_sep.hidden = ((bVsbltFLV1 == 2) && (bVsbltFLV10 == 2) && (bVsblt1 == 2) && (bVsbltAll == 2)) ? true : false;
		}
	}
}


function DownloadWithIDM() 
{
	idm_mz_cc.DownloadLinkWithIDM(window.content, document.popupNode);
}

function DownloadAllWithIDM() 
{
	idm_mz_cc.DownloadAllWithIDM(window.content);
}

function DownloadLastFLVwithIDM() 
{
	idm_mz_cc.DownloadLastFLVwithIDM(window.content);
}

function DownloadLast10FLVwithIDM() 
{
	idm_mz_cc.DownloadLast10FLVwithIDM(window.content);
}
